Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/configuration91.svcinfo
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/configuration91.svcinfo	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/configuration91.svcinfo	(revision 4107)
@@ -121,78 +121,84 @@
     <endpoint name="NetTcpBinding_IClientConsoleCommunicator" contract="ClientService.IClientConsoleCommunicator" bindingType="netTcpBinding" address="net.tcp://127.0.0.1:8000/ClientConsole/ClientConsoleCommunicator" bindingConfiguration="NetTcpBinding_IClientConsoleCommunicator">
       <properties>
-        <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/address" isComplexType="false" isExplicitlyDefined="true" clrType="System.Uri, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>net.tcp://127.0.0.1:8000/ClientConsole/ClientConsoleCommunicator</serializedValue>
         </property>
-        <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/binding" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/behaviorConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/binding" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>netTcpBinding</serializedValue>
         </property>
-        <property path="/bindingConfiguration" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/bindingConfiguration" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>NetTcpBinding_IClientConsoleCommunicator</serializedValue>
         </property>
-        <property path="/contract" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/contract" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>ClientService.IClientConsoleCommunicator</serializedValue>
         </property>
-        <property path="/headers" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.AddressHeaderCollectionElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/headers" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.AddressHeaderCollectionElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.AddressHeaderCollectionElement</serializedValue>
         </property>
-        <property path="/headers/headers" isComplexType="false" isExplicitlyDefined="true" clrType="System.ServiceModel.Channels.AddressHeaderCollection, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/headers/headers" isComplexType="false" isExplicitlyDefined="true" clrType="System.ServiceModel.Channels.AddressHeaderCollection, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>&lt;Header /&gt;</serializedValue>
         </property>
-        <property path="/identity" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.IdentityElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.IdentityElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.IdentityElement</serializedValue>
         </property>
-        <property path="/identity/userPrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.UserPrincipalNameElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/userPrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.UserPrincipalNameElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.UserPrincipalNameElement</serializedValue>
         </property>
-        <property path="/identity/userPrincipalName/value" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>semteX-PC\semteX</serializedValue>
-        </property>
-        <property path="/identity/servicePrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.ServicePrincipalNameElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/userPrincipalName/value" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue>S0920454044@hagenberg.fhooe.at</serializedValue>
+        </property>
+        <property path="/identity/servicePrincipalName" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.ServicePrincipalNameElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.ServicePrincipalNameElement</serializedValue>
         </property>
-        <property path="/identity/servicePrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/dns" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.DnsElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/servicePrincipalName/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/dns" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.DnsElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.DnsElement</serializedValue>
         </property>
-        <property path="/identity/dns/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/rsa" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.RsaElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/dns/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/rsa" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.RsaElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.RsaElement</serializedValue>
         </property>
-        <property path="/identity/rsa/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificate" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/rsa/value" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificate" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.CertificateElement</serializedValue>
         </property>
-        <property path="/identity/certificate/encodedValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificateReference" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateReferenceElement, System.ServiceModel, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificate/encodedValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificateReference" isComplexType="true" isExplicitlyDefined="false" clrType="System.ServiceModel.Configuration.CertificateReferenceElement, System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>System.ServiceModel.Configuration.CertificateReferenceElement</serializedValue>
         </property>
-        <property path="/identity/certificateReference/storeName" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreName, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/storeName" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreName, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>My</serializedValue>
         </property>
-        <property path="/identity/certificateReference/storeLocation" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreLocation, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/storeLocation" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.StoreLocation, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>LocalMachine</serializedValue>
         </property>
-        <property path="/identity/certificateReference/x509FindType" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.X509FindType, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/x509FindType" isComplexType="false" isExplicitlyDefined="false" clrType="System.Security.Cryptography.X509Certificates.X509FindType, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>FindBySubjectDistinguishedName</serializedValue>
         </property>
-        <property path="/identity/certificateReference/findValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue />
-        </property>
-        <property path="/identity/certificateReference/isChainIncluded" isComplexType="false" isExplicitlyDefined="false" clrType="System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-          <serializedValue>False</serializedValue>
-        </property>
-        <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+        <property path="/identity/certificateReference/findValue" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/identity/certificateReference/isChainIncluded" isComplexType="false" isExplicitlyDefined="false" clrType="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue>False</serializedValue>
+        </property>
+        <property path="/name" isComplexType="false" isExplicitlyDefined="true" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
           <serializedValue>NetTcpBinding_IClientConsoleCommunicator</serializedValue>
+        </property>
+        <property path="/kind" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
+        </property>
+        <property path="/endpointConfiguration" isComplexType="false" isExplicitlyDefined="false" clrType="System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+          <serializedValue />
         </property>
       </properties>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.wsdl
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.wsdl	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.wsdl	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:tns="http://tempuri.org/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" name="ClientConsoleCommunicator" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
+<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ClientConsoleCommunicator" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
   <wsp:Policy wsu:Id="NetTcpBinding_IClientConsoleCommunicator_policy">
     <wsp:ExactlyOne>
@@ -40,5 +40,5 @@
       <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" />
       <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Common" />
-      <xsd:import namespace="http://schemas.datacontract.org/2004/07/Calendar" />
+      <xsd:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" />
       <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.Drawing" />
     </xsd:schema>
@@ -190,5 +190,5 @@
         <wsa10:Address>net.tcp://127.0.0.1:8000/ClientConsole/ClientConsoleCommunicator</wsa10:Address>
         <Identity xmlns="http://schemas.xmlsoap.org/ws/2006/02/addressingidentity">
-          <Upn>semteX-PC\semteX</Upn>
+          <Upn>S0920454044@hagenberg.fhooe.at</Upn>
         </Identity>
       </wsa10:EndpointReference>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/service.xsd	(revision 4107)
@@ -2,5 +2,5 @@
 <xs:schema xmlns:tns="http://tempuri.org/" elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" />
-  <xs:import namespace="http://schemas.datacontract.org/2004/07/Calendar" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" />
   <xs:element name="GetStatusInfos">
     <xs:complexType>
@@ -62,5 +62,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/Calendar" minOccurs="0" name="appointments" nillable="true" type="q4:ArrayOfAppointment" />
+        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="appointments" nillable="true" type="q4:ArrayOfAppointment" />
       </xs:sequence>
     </xs:complexType>
@@ -79,5 +79,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/Calendar" minOccurs="0" name="GetUptimeCalendarResult" nillable="true" type="q5:ArrayOfAppointment" />
+        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" minOccurs="0" name="GetUptimeCalendarResult" nillable="true" type="q5:ArrayOfAppointment" />
       </xs:sequence>
     </xs:complexType>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/ClientConsoleCommunicator.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/ClientConsoleCommunicator.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/ClientConsoleCommunicator.cs	(revision 4107)
@@ -8,5 +8,5 @@
 using HeuristicLab.Hive.Client.Common;
 using HeuristicLab.Hive.Contracts;
-using Calendar;
+using HeuristicLab.Calendar;
 
 namespace HeuristicLab.Hive.Client.Core.ClientConsoleService {
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs	(revision 4107)
@@ -25,5 +25,5 @@
 using System.Text;
 using System.ServiceModel;
-using Calendar;
+using HeuristicLab.Calendar;
 
 namespace HeuristicLab.Hive.Client.Core.ClientConsoleService.Interfaces {
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/AppointmentContainer.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/AppointmentContainer.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/AppointmentContainer.cs	(revision 4107)
@@ -3,5 +3,5 @@
 using System.Linq;
 using System.Text;
-using Calendar;
+using HeuristicLab.Calendar;
 
 namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/UptimeManager.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/ConfigurationManager/UptimeManager.cs	(revision 4107)
@@ -3,5 +3,5 @@
 using System.Linq;
 using System.Text;
-using Calendar;
+using HeuristicLab.Calendar;
 using System.Xml.Serialization;
 using System.IO;
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Core.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Core.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Core/3.3/Core.cs	(revision 4107)
@@ -54,11 +54,12 @@
 
     private bool _currentlyFetching;
-    private bool CurrentlyFetching { 
+    private bool CurrentlyFetching {
       get {
         return _currentlyFetching;
-      } set {        
+      }
+      set {
         _currentlyFetching = value;
         Logger.Debug("Set CurrentlyFetching to " + _currentlyFetching);
-      } 
+      }
     }
 
@@ -111,5 +112,5 @@
       //Rly?!
       while (!abortRequested) {
-        MessageContainer container = queue.GetMessage();        
+        MessageContainer container = queue.GetMessage();
         DetermineAction(container);
       }
@@ -122,8 +123,8 @@
     /// <param name="container">The Container, containing the message</param>
     private void DetermineAction(MessageContainer container) {
-      Logger.Info("Message: " + container.Message.ToString() + " for job: " + container.JobId);        
+      Logger.Info("Message: " + container.Message.ToString() + " for job: " + container.JobId);
       switch (container.Message) {
         //Server requests to abort a job
-        case MessageContainer.MessageType.AbortJob:          
+        case MessageContainer.MessageType.AbortJob:
           if (engines.ContainsKey(container.JobId))
             engines[container.JobId].Abort();
@@ -134,6 +135,6 @@
 
 
-        case MessageContainer.MessageType.JobAborted:          
-        //todo: thread this          
+        case MessageContainer.MessageType.JobAborted:
+          //todo: thread this          
           lock (engines) {
             Guid jobId = new Guid(container.JobId.ToString());
@@ -152,5 +153,5 @@
 
         //Request a Snapshot from the Execution Engine
-        case MessageContainer.MessageType.RequestSnapshot:          
+        case MessageContainer.MessageType.RequestSnapshot:
           if (engines.ContainsKey(container.JobId))
             engines[container.JobId].RequestSnapshot();
@@ -161,5 +162,5 @@
 
         //Snapshot is ready and can be sent back to the Server
-        case MessageContainer.MessageType.SnapshotReady:          
+        case MessageContainer.MessageType.SnapshotReady:
           ThreadPool.QueueUserWorkItem(new WaitCallback(GetSnapshot), container.JobId);
           break;
@@ -167,5 +168,5 @@
 
         //Pull a Job from the Server
-        case MessageContainer.MessageType.FetchJob:          
+        case MessageContainer.MessageType.FetchJob:
           if (!CurrentlyFetching) {
             wcfService.SendJobAsync(ConfigManager.Instance.GetClientInfo().Id);
@@ -173,9 +174,9 @@
           } else
             Logger.Info("Currently fetching, won't fetch this time!");
-          break;          
-        
-        
+          break;
+
+
         //A Job has finished and can be sent back to the server
-        case MessageContainer.MessageType.FinishedJob:          
+        case MessageContainer.MessageType.FinishedJob:
           ThreadPool.QueueUserWorkItem(new WaitCallback(GetFinishedJob), container.JobId);
           break;
@@ -201,9 +202,9 @@
           break;
 
-          //Fetch or Force Fetch Calendar!
+        //Fetch or Force Fetch Calendar!
         case MessageContainer.MessageType.FetchOrForceFetchCalendar:
           Logger.Info("Fetch Calendar from Server");
-          FetchCalendarFromServer();  
-        break;
+          FetchCalendarFromServer();
+          break;
 
         //Hard shutdown of the client
@@ -259,18 +260,17 @@
           lock (engines) {
             appDomains[jId].UnhandledException -= new UnhandledExceptionEventHandler(appDomain_UnhandledException);
-            
+
             //Disposing it
             engines[jId].Dispose();
-            
+
             AppDomain.Unload(appDomains[jId]);
             Logger.Debug("Unloaded appdomain");
-            appDomains.Remove(jId);            
-            engines.Remove(jId);            
+            appDomains.Remove(jId);
+            engines.Remove(jId);
             jobs.Remove(jId);
             Logger.Debug("Removed job from appDomains, Engines and Jobs");
           }
         }
-      }
-      catch (InvalidStateException ise) {
+      } catch (InvalidStateException ise) {
         Logger.Error("Invalid State while Snapshoting:", ise);
       }
@@ -296,5 +296,5 @@
         //Still anything running?  
         if (engines.Count == 0) {
-          Logger.Info("All jobs snapshotted and sent back, disconnecting");          
+          Logger.Info("All jobs snapshotted and sent back, disconnecting");
           WcfService.Instance.Disconnect();
         } else {
@@ -333,12 +333,12 @@
     void wcfService_SendJobCompleted(object sender, SendJobCompletedEventArgs e) {
       if (e.Result.StatusMessage != ApplicationConstants.RESPONSE_COMMUNICATOR_NO_JOBS_LEFT) {
-        Logger.Info("Received new job with id " + e.Result.Job.Id);      
-        bool sandboxed = false;        
+        Logger.Info("Received new job with id " + e.Result.Job.Id);
+        bool sandboxed = false;
         Logger.Debug("Fetching plugins for job " + e.Result.Job.Id);
 
         PluginCache.Instance.PreparePlugins(e.Result.Job.PluginsNeeded);
 
-//        foreach (CachedHivePluginInfoDto plugininfo in PluginCache.Instance.GetPlugins(e.Result.Job.PluginsNeeded))
-  //        files.AddRange(plugininfo.PluginFiles);
+        //        foreach (CachedHivePluginInfoDto plugininfo in PluginCache.Instance.GetPlugins(e.Result.Job.PluginsNeeded))
+        //        files.AddRange(plugininfo.PluginFiles);
         Logger.Debug("Plugins fetched for job " + e.Result.Job.Id);
         try {
@@ -354,5 +354,5 @@
               Executor engine =
                 (Executor)
-                appDomain.CreateInstanceAndUnwrap(typeof (Executor).Assembly.GetName().Name, typeof (Executor).FullName);
+                appDomain.CreateInstanceAndUnwrap(typeof(Executor).Assembly.GetName().Name, typeof(Executor).FullName);
               Logger.Debug("Created AppDomain");
               engine.JobId = e.Result.Job.Id;
@@ -367,5 +367,5 @@
             }
           }
-        } catch(Exception exception) {
+        } catch (Exception exception) {
           Logger.Error("Creating the Appdomain and loading the job failed for job " + e.Result.Job.Id);
           Logger.Error("Error thrown is: ", exception);
@@ -446,5 +446,5 @@
     private void FetchCalendarFromServer() {
       ResponseCalendar calres = wcfService.GetCalendarSync(ConfigManager.Instance.GetClientInfo().Id);
-      if(calres.Success) {
+      if (calres.Success) {
         if (UptimeManager.Instance.SetAppointments(false, calres)) {
           Logger.Info("Remote calendar installed");
@@ -480,5 +480,5 @@
 
     void appDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e) {
-      Logger.Error("Exception in AppDomain: " + e.ExceptionObject.ToString());    
+      Logger.Error("Exception in AppDomain: " + e.ExceptionObject.ToString());
     }
 
@@ -495,5 +495,5 @@
       lock (engines) {
         try {
-          if(engines.ContainsKey(id))
+          if (engines.ContainsKey(id))
             engines[id].Dispose();
           if (appDomains.ContainsKey(id)) {
@@ -505,6 +505,5 @@
           jobs.Remove(id);
           GC.Collect();
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           Logger.Error("Exception when unloading the appdomain: ", ex);
         }
@@ -513,3 +512,5 @@
     }
   }
+
+ 
 }
